| Home | Libraries | People | FAQ | More

#### uri_rule

Rule for URI.

##### Synopsis

Defined in header `<boost/url/rfc/uri_rule.hpp>`

    constexpr implementation-defined uri_rule {};

##### Value Type

    using value_type = url_view;

##### Example

Rules are used with the function `grammar::parse`.

    system::result< url_view > rv = grammar::parse( "https://www.example.com/index.htm?id=guest#s1" , uri_rule );

##### BNF

    URI           = scheme ":" hier-part [ "?" query ] [ "#" fragment ]

##### Specification

- 3. Syntax Components (rfc3986)

##### See Also

`grammar::parse`, `parse_uri`, `url_view`.

Convenience header `<boost/url.hpp>`